Firefox 5 – fly in the ointment for Rational Requirements Composer

Off
Strongback Consulting

I was recently editing some requirements, and this was the day that FF 5 rolled out, which was only 2 months after Firefox 4 rolled out. For those unaware of the controversy,  Mozilla has announced that they will be rolling out new releases every 2 months. Yes, 2 months. Those in software development can appreciate such an agressive iteration plan, but I don’t see how any vendor can keep up with their plugins. Firefox came to fame just for its ease of use with plugins. However, this aggressive release schedule is one to doom many of our favorite plugins.

Which leads us to RRC. A TON of work went into creating the plugins for Internet Explorer and Firefox for Rational Requirements Composer. RRC rolled out release 3.0.1 just a few days before Firefox 5 rolled out. The plugin was golden on FF4, but FF5 will not load the plugin.  This plugin is needed to edit the UI storyboards, BPM diagrams, and UI sketches in RRC. This is NOT the fault of IBM. Rather Mozilla is leaving behind many vendors to count on Firefox for support in other non-Windows platforms such as Mac and Linux. Mozilla has even stated that they only care about “regular user”, not the enterprise. I’m guessing this will give further rise to Google Chrome as a potential contender in the enterprise space.

That said, there is a fix in the works with RRCto address the Firefox issue as shown here:
https://jazz.net/jazz03/web/projects/Rational%20Requirements%20Composer#action=com.ibm.team.workitem.viewWorkItem&id=44201

I’m hoping this allows it to work with FF6 as well. 

Comments are closed.